<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>تراکنش نامعتبر</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: 'Arial', sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #f8f9fa;
            text-align: center;
        }

        .container {
            background-color: #ffffff;
            border-radius: 8px;
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            max-width: 400px;
            width: 90%;
        }

        .container img {
            width: 50%;
            height: auto;
            margin-bottom: 20px;
        }

        .container h1 {
            font-size: 24px;
            color: #dc3545;
            margin-bottom: 10px;
        }

        .container p {
            font-size: 16px;
            color: #6c757d;
            margin-bottom: 20px;
        }

        .container a {
            text-decoration: none;
            color: white;
        }

        .container button {
            background-color: #007bff;
            color: white;
            border: none;
            border-radius: 5px;
            padding: 10px 20px;
            cursor: pointer;
            font-size: 16px;
            transition: background-color 0.3s;
        }

        .container button:hover {
            background-color: #0056b3;
        }

        @media (max-width: 600px) {
            .container h1 {
                font-size: 20px;
            }

            .container p {
                font-size: 14px;
            }

            .container button {
                font-size: 14px;
                padding: 8px 16px;
            }
        }
    </style>
</head>
<body>
    <div class="container">
    <img src="../Assets/img/error.png" alt="Transaction Invalid">
        <h1>تراکنش نامعتبر</h1>
        <p>متاسفانه تراکنش شما نامعتبر است. لطفاً مجدداً تلاش کنید.</p>
        <a href="https://t.me/Matingg_bot">
            <button>بازگشت به ربات</button>
        </a>

    </div>
</body>
</html>
