<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>فرم قیمت‌ها</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f0f4f8;
            margin: 0;
            padding: 0;
            direction: rtl;
            text-align: center;
        }
        
        .container {
            max-width: 600px;
            margin: 40px auto;
            padding: 20px;
            background-color: #ffffff;
            border-radius: 12px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        
        h1 {
            color: #333;
            margin-bottom: 20px;
        }
        
        .form-group {
            margin-bottom: 15px;
            text-align: right;
        }
        
        label {
            display: block;
            margin-bottom: 5px;
            font-weight: bold;
            color: #555;
        }
        
        input[type="text"] {
            width: 100%;
            padding: 10px;
            padding-left: 0px;
            border: 1px solid #ddd;
            border-radius: 8px;
            font-size: 16px;
        }
        
        .button-container {
            margin-top: 20px;
            display: flex;
            justify-content: space-between;
        }
        
        button, a {
            padding: 10px 20px;
            border: none;
            border-radius: 8px;
            background-color: #007bff;
            color: #ffffff;
            font-size: 16px;
            text-decoration: none;
            cursor: pointer;
            transition: background-color 0.3s;
        }
        
        button:hover, a:hover {
            background-color: #0056b3;
        }
        
        .back-button {
            background-color: #6c757d;
        }
        
        .back-button:hover {
            background-color: #5a6268;
        }
        
        @media (max-width: 768px) {
            .container {
                margin: 20px;
                padding: 15px;
            }
            
            input[type="text"] {
                font-size: 14px;
            }
            
            button, a {
                font-size: 14px;
                padding: 8px 16px;
            }
        }
    </style>
</head>
<body>

    <div class="container">
        <h1>تعیین قیمت ها</h1>
        <h4 style = "color:red" >قیمت را به تومان وارد کنید</h4>
        <form action="process_prices.php" method="post">
            <div class="form-group">
                <label for="price_3_month">مقدار سود هر شماره را وارد کنید</label>
                <input type="text" id="price_3_month" name="price_3_month" required>
            </div>
            
            <div class="button-container">
                <a href="index.php" class="back-button">بازگشت به صفحه اصلی</a>
                <button type="submit">ارسال قیمت‌</button>
            </div>
        </form>
    </div>

</body>
</html>
