<?php
session_start();

if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    header('Location: login.php');
    exit;
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../Assets/style/users.css">
    <title>مشاهده کاربران</title>
</head>
<body>

    <div class="container">
        <a href="index.php" class="back-button">
            <img src="../Assets/img/back.png" alt="بازگشت">
        </a>

        <h2>لیست کاربران</h2>

        <div class="card-container">
            <?php
            use App\Panel\Db\Db;

            include_once 'Db/Db.php';
            $db = new Db();

            $users = $db->get_all_users();

            foreach ($users as $user) {
                echo "<div class='card'>
                        <h3>شناسه کاربر: {$user['user_id']}</h3>
                        <p><strong>نام کاربری:</strong> {$user['username']}</p>
                        <p><strong>نام:</strong> {$user['first_name']}</p>
                        <p><strong>موجودی:</strong> {$user['balance']}</p>
                      </div>";
            }
            ?>
        </div>
    </div>

</body>
</html>
