<?php

namespace App\SmsPool;

class PoolList
{
    private $token;

    public function __construct(SmsPool $smsPool)
    {
        $this->token = $smsPool->getToken();
    }

    public function get_pool_list()
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://api.smspool.net/pool/retrieve_all',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        return json_decode($response,true);
    }

    public function extract_id_from_pool_list()
    {
        $poolList = $this->get_pool_list();
        $ids = [];
        foreach($poolList as $pool)
        {
            if($pool["ID"] != 0)
                $ids[] = $pool["ID"];
        }
        return $ids;
    }
}