<?php

namespace App\Db;

class Db
{
    private $pdo;

    public function __construct($host, $username, $password, $dbName)
    {
        try {
            $this->pdo = new \PDO("mysql:host=$host;dbname=$dbName", $username, $password);
            $this->pdo->setAttribute(\PDO::ATTR_ERRMODE, \PDO::ERRMODE_EXCEPTION);
        } catch (\PDOException $e) {
            die("Connection failed: " . $e->getMessage());
        }
    }

    public function getConnection()
    {
        return $this->pdo;
    }
}
