<?php
session_start();

if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true)
{
    header('Location: login.php');
    exit;
}

if (!isset($_SESSION['message']))
{
    $username = $_SESSION['username'];
    $_SESSION['message'] = "خوش آمدی $username!";
    
} else
{
    unset($_SESSION['message']);
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>پنل مدیریت</title>
    <link rel="stylesheet" href="../Assets/style/index.css">
</head>
<body>
    <?php
        if(isset($_SESSION['message']))
        {
            echo "<div class='welcome-message'>";
                echo $_SESSION['message'];
            echo "</div>";
        
        }
    ?>

    <div class="dashboard">
        <div class="card">
            <img src="../Assets/img/users.png" alt="مشاهده کاربران">
            <h3>مشاهده کاربران</h3>
            <button onclick="window.location.href='users.php'">مشاهده</button>
        </div>

        <div class="card">
            <img src="../Assets/img/orders.png" alt="سفارشات">
            <h3>سفارشات</h3>
            <button onclick="window.location.href='orders.php'">مشاهده</button>
        </div>

        <div class="card">
            <img src="../Assets/img/transactions.png" alt="تراکنش">
            <h3>تراکنش های کیف پول</h3>
            <button onclick="window.location.href='wallet.php'">مشاهده</button>
        </div>

        <div class="card">
            <img src="../Assets/img/sendMessage.png" alt="ارسال پیام">
            <h3>ارسال پیام به کاربر</h3>
            <button onclick="window.location.href='message.php'">ارسال</button>
        </div>

        <div class="card">
            <img src="../Assets/img/groupMessage.png" alt="ارسال پیام گروهی">
            <h3>ارسال پیام گروهی</h3>
            <button onclick="window.location.href='groupMessage.php'">ارسال</button>
        </div>
        
        <div class="card">
            <img src="../Assets/img/changePrice.png" alt="تغییر قیمت">
            <h3>تغییر قیمت</h3>
            <button onclick="window.location.href='changePrice.php'">اعمال</button>
        </div>

        <div class="card">
            <img src="../Assets/img/logout.png" alt="خروج">
            <h3>خروج</h3>
            <button onclick="window.location.href='logout.php'">خروج</button>
        </div>
    </div>
</body>
</html>

