<?php
    use App\Panel\Db\Db;

    include_once 'Db/Db.php';

    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        $message = $_POST['message'];

        if (empty($message)) {
            echo json_encode(['success' => false, 'message' => 'متن پیام خالی است.']);
            exit;
        }

        $db = new Db();
        $chatIds = $db->get_user_ids();

        $success = true;
        foreach ($chatIds as $user)
        {
            $chatId = $user['chat_id'];
            $telegramUrl = "https://api.telegram.org/bot7170107712:AAFl8GZNaRE4QirSHgNqAhjlKa3HwZ5meUM/sendMessage?chat_id=$chatId&text=" . urlencode($message);
            
            $response = file_get_contents($telegramUrl);
            $responseData = json_decode($response, true);

            if (!$responseData['ok']) {
                $success = false;
                break;
            }
        }

        if ($success) {
            echo json_encode(['success' => true, 'message' => 'پیام‌ها با موفقیت ارسال شدند.']);
        } else {
            echo json_encode(['success' => false, 'message' => 'مشکلی در ارسال پیام‌ها وجود دارد.']);
        }
    }
?>
