<?php

namespace App\SmsPool;

class CancelSms
{
    private $token;

    public function __construct(SmsPool $smsPool)
    {
        $this->token = $smsPool->getToken();
    }

    public function cancel_sms_order(string $orderId)
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.smspool.net/sms/cancel',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('orderid'=> $orderId,'key'=> $this->token),
));

        $response = curl_exec($curl);
        $httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
        curl_close($curl);
        return [
            'http_code' => $httpCode,
            'response' => json_decode($response,true)
        ];
    }
}