<?php

namespace App\SmsPool;

class CheckSms
{
    private $token;

    public function __construct(SmsPool $smsPool)
    {
        $this->token = $smsPool->getToken();
    }

    public function receive_sms(string $orderId)
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.smspool.net/request/active',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('orderid'=> $orderId,'key'=> $this->token),
));

        $response = curl_exec($curl);

        curl_close($curl);
        return json_decode($response,true);
    }
}