<?php

namespace App\Utility;

class Util
{
    public static $countryNames =
    [
        'Afghanistan' => ['name' => 'افغانستان', 'flag' => '🇦🇫'],
        'Albania' => ['name' => 'آلبانی', 'flag' => '🇦🇱'],
        'Algeria' => ['name' => 'الجزایر', 'flag' => '🇩🇿'],
        'Andorra' => ['name' => 'آندورا', 'flag' => '🇦🇩'],
        'Angola' => ['name' => 'آنگولا', 'flag' => '🇦🇴'],
        'Antigua and Barbuda' => ['name' => 'آنتیگوا و باربودا', 'flag' => '🇦🇬'],
        'Argentina' => ['name' => 'آرژانتین', 'flag' => '🇦🇷'],
        'Armenia' => ['name' => 'ارمنستان', 'flag' => '🇦🇲'],
        'Australia' => ['name' => 'استرالیا', 'flag' => '🇦🇺'],
        'Austria' => ['name' => 'اتریش', 'flag' => '🇦🇹'],
        'Azerbaijan' => ['name' => 'جمهوری آذربایجان', 'flag' => '🇦🇿'],
        'Bahamas' => ['name' => 'باهاما', 'flag' => '🇧🇸'],
        'Bahrain' => ['name' => 'بحرین', 'flag' => '🇧🇭'],
        'Bangladesh' => ['name' => 'بنگلادش', 'flag' => '🇧🇩'],
        'Barbados' => ['name' => 'باربادوس', 'flag' => '🇧🇧'],
        'Belarus' => ['name' => 'بلاروس', 'flag' => '🇧🇾'],
        'Belgium' => ['name' => 'بلژیک', 'flag' => '🇧🇪'],
        'Belize' => ['name' => 'بلیز', 'flag' => '🇧🇿'],
        'Benin' => ['name' => 'بنین', 'flag' => '🇧🇯'],
        'Bhutan' => ['name' => 'بوتان', 'flag' => '🇧🇹'],
        'Bolivia' => ['name' => 'بولیوی', 'flag' => '🇧🇴'],
        'Bosnia and Herzegovina' => ['name' => 'بوسنی و هرزگوین', 'flag' => '🇧🇦'],
        'Botswana' => ['name' => 'بوتسوانا', 'flag' => '🇧🇼'],
        'Brazil' => ['name' => 'برزیل', 'flag' => '🇧🇷'],
        'Brunei' => ['name' => 'برونئی', 'flag' => '🇧🇳'],
        'Bulgaria' => ['name' => 'بلغارستان', 'flag' => '🇧🇬'],
        'Burkina Faso' => ['name' => 'بورکینافاسو', 'flag' => '🇧🇫'],
        'Burundi' => ['name' => 'بوروندی', 'flag' => '🇧🇮'],
        'Cabo Verde' => ['name' => 'کیپ ورد', 'flag' => '🇨🇻'],
        'Cambodia' => ['name' => 'کامبوج', 'flag' => '🇰🇭'],
        'Cameroon' => ['name' => 'کامرون', 'flag' => '🇨🇲'],
        'Canada' => ['name' => 'کانادا', 'flag' => '🇨🇦'],
        'Central African Republic' => ['name' => 'جمهوری آفریقای مرکزی', 'flag' => '🇨🇫'],
        'Chad' => ['name' => 'چاد', 'flag' => '🇹🇩'],
        'Chile' => ['name' => 'شیلی', 'flag' => '🇨🇱'],
        'China' => ['name' => 'چین', 'flag' => '🇨🇳'],
        'Colombia' => ['name' => 'کلمبیا', 'flag' => '🇨🇴'],
        'Comoros' => ['name' => 'کومور', 'flag' => '🇰🇲'],
        'Congo (Congo-Brazzaville)' => ['name' => 'جمهوری کنگو', 'flag' => '🇨🇬'],
        'Costa Rica' => ['name' => 'کاستاریکا', 'flag' => '🇨🇷'],
        'Croatia' => ['name' => 'کرواسی', 'flag' => '🇭🇷'],
        'Cuba' => ['name' => 'کوبا', 'flag' => '🇨🇺'],
        'Cyprus' => ['name' => 'قبرس', 'flag' => '🇨🇾'],
        'Czechia' => ['name' => 'جمهوری چک', 'flag' => '🇨🇿'],
        'Democratic Republic of the Congo' => ['name' => 'جمهوری دموکراتیک کنگو', 'flag' => '🇨🇩'],
        'Denmark' => ['name' => 'دانمارک', 'flag' => '🇩🇰'],
        'Djibouti' => ['name' => 'جیبوتی', 'flag' => '🇩🇯'],
        'Dominica' => ['name' => 'دومینیکا', 'flag' => '🇩🇲'],
        'Dominican Republic' => ['name' => 'جمهوری دومینیکن', 'flag' => '🇩🇴'],
        'Ecuador' => ['name' => 'اکوادور', 'flag' => '🇪🇨'],
        'Egypt' => ['name' => 'مصر', 'flag' => '🇪🇬'],
        'El Salvador' => ['name' => 'السالوادور', 'flag' => '🇸🇻'],
        'Equatorial Guinea' => ['name' => 'گینه استوایی', 'flag' => '🇬🇶'],
        'Eritrea' => ['name' => 'اریتره', 'flag' => '🇪🇷'],
        'Estonia' => ['name' => 'استونی', 'flag' => '🇪🇪'],
        'Eswatini' => ['name' => 'اسواتینی', 'flag' => '🇸🇿'],
        'Ethiopia' => ['name' => 'اتیوپی', 'flag' => '🇪🇹'],
        'Fiji' => ['name' => 'فیجی', 'flag' => '🇫🇯'],
        'Finland' => ['name' => 'فنلاند', 'flag' => '🇫🇮'],
        'France' => ['name' => 'فرانسه', 'flag' => '🇫🇷'],
        'Gabon' => ['name' => 'گابن', 'flag' => '🇬🇦'],
        'Gambia' => ['name' => 'گامبیا', 'flag' => '🇬🇲'],
        'Georgia' => ['name' => 'گرجستان', 'flag' => '🇬🇪'],
        'Germany' => ['name' => 'آلمان', 'flag' => '🇩🇪'],
        'Ghana' => ['name' => 'غنا', 'flag' => '🇬🇭'],
        'Greece' => ['name' => 'یونان', 'flag' => '🇬🇷'],
        'Grenada' => ['name' => 'گرنادا', 'flag' => '🇬🇩'],
        'Guatemala' => ['name' => 'گواتمالا', 'flag' => '🇬🇹'],
        'Guinea' => ['name' => 'گینه', 'flag' => '🇬🇳'],
        'Guinea-Bissau' => ['name' => 'گینه بیسائو', 'flag' => '🇬🇼'],
        'Guyana' => ['name' => 'گویان', 'flag' => '🇬🇾'],
        'Haiti' => ['name' => 'هائیتی', 'flag' => '🇭🇹'],
        'Honduras' => ['name' => 'هندوراس', 'flag' => '🇭🇳'],
        'Hungary' => ['name' => 'مجارستان', 'flag' => '🇭🇺'],
        'Iceland' => ['name' => 'ایسلند', 'flag' => '🇮🇸'],
        'India' => ['name' => 'هند', 'flag' => '🇮🇳'],
        'Indonesia' => ['name' => 'اندونزی', 'flag' => '🇮🇩'],
        'Iran' => ['name' => 'ایران', 'flag' => '🇮🇷'],
        'Iraq' => ['name' => 'عراق', 'flag' => '🇮🇶'],
        'Ireland' => ['name' => 'ایرلند', 'flag' => '🇮🇪'],
        'Israel' => ['name' => 'اسرائیل', 'flag' => '🇮🇱'],
        'Italy' => ['name' => 'ایتالیا', 'flag' => '🇮🇹'],
        'Jamaica' => ['name' => 'جامائیکا', 'flag' => '🇯🇲'],
        'Japan' => ['name' => 'ژاپن', 'flag' => '🇯🇵'],
        'Jordan' => ['name' => 'اردن', 'flag' => '🇯🇴'],
        'Kazakhstan' => ['name' => 'قزاقستان', 'flag' => '🇰🇿'],
        'Kenya' => ['name' => 'کنیا', 'flag' => '🇰🇪'],
        'Kiribati' => ['name' => 'کیریباتی', 'flag' => '🇰🇮'],
        'Kuwait' => ['name' => 'کویت', 'flag' => '🇰🇼'],
        'Kyrgyzstan' => ['name' => 'قرقیزستان', 'flag' => '🇰🇬'],
        'Laos' => ['name' => 'لائوس', 'flag' => '🇱🇦'],
        'Latvia' => ['name' => 'لتونی', 'flag' => '🇱🇻'],
        'Lebanon' => ['name' => 'لبنان', 'flag' => '🇱🇧'],
        'Lesotho' => ['name' => 'لسوتو', 'flag' => '🇱🇸'],
        'Liberia' => ['name' => 'لیبریا', 'flag' => '🇱🇷'],
        'Libya' => ['name' => 'لیبی', 'flag' => '🇱🇾'],
        'Liechtenstein' => ['name' => 'لیختن‌اشتاین', 'flag' => '🇱🇮'],
        'Lithuania' => ['name' => 'لیتوانی', 'flag' => '🇱🇹'],
        'Luxembourg' => ['name' => 'لوکزامبورگ', 'flag' => '🇱🇺'],
        'Madagascar' => ['name' => 'ماداگاسکار', 'flag' => '🇲🇬'],
        'Malawi' => ['name' => 'مالاوی', 'flag' => '🇲🇼'],
        'Malaysia' => ['name' => 'مالزی', 'flag' => '🇲🇾'],
        'Maldives' => ['name' => 'مالدیو', 'flag' => '🇲🇻'],
        'Mali' => ['name' => 'مالی', 'flag' => '🇲🇱'],
        'Malta' => ['name' => 'مالت', 'flag' => '🇲🇹'],
        'Marshall Islands' => ['name' => 'جزایر مارشال', 'flag' => '🇲🇭'],
        'Mauritania' => ['name' => 'موریتانی', 'flag' => '🇲🇷'],
        'Mauritius' => ['name' => 'موریس', 'flag' => '🇲🇺'],
        'Mexico' => ['name' => 'مکزیک', 'flag' => '🇲🇽'],
        'Micronesia' => ['name' => 'میکرونزی', 'flag' => '🇫🇲'],
        'Moldova' => ['name' => 'مولداوی', 'flag' => '🇲🇩'],
        'Monaco' => ['name' => 'موناکو', 'flag' => '🇲🇨'],
        'Mongolia' => ['name' => 'مغولستان', 'flag' => '🇲🇳'],
        'Montenegro' => ['name' => 'مونته‌نگرو', 'flag' => '🇲🇪'],
        'Morocco' => ['name' => 'مراکش', 'flag' => '🇲🇦'],
        'Mozambique' => ['name' => 'موزامبیک', 'flag' => '🇲🇿'],
        'Myanmar' => ['name' => 'میانمار', 'flag' => '🇲🇲'],
        'Namibia' => ['name' => 'نامیبیا', 'flag' => '🇳🇦'],
        'Nauru' => ['name' => 'نائورو', 'flag' => '🇳🇷'],
        'Nepal' => ['name' => 'نپال', 'flag' => '🇳🇵'],
        'Netherlands' => ['name' => 'هلند', 'flag' => '🇳🇱'],
        'New Zealand' => ['name' => 'نیوزلند', 'flag' => '🇳🇿'],
        'Nicaragua' => ['name' => 'نیکاراگوئه', 'flag' => '🇳🇮'],
        'Niger' => ['name' => 'نیجر', 'flag' => '🇳🇪'],
        'Nigeria' => ['name' => 'نیجریه', 'flag' => '🇳🇬'],
        'North Korea' => ['name' => 'کره شمالی', 'flag' => '🇰🇵'],
        'North Macedonia' => ['name' => 'مقدونیه شمالی', 'flag' => '🇲🇰'],
        'Norway' => ['name' => 'نروژ', 'flag' => '🇳🇴'],
        'Oman' => ['name' => 'عمان', 'flag' => '🇴🇲'],
        'Pakistan' => ['name' => 'پاکستان', 'flag' => '🇵🇰'],
        'Palau' => ['name' => 'پالائو', 'flag' => '🇵🇼'],
        'Panama' => ['name' => 'پاناما', 'flag' => '🇵🇦'],
        'Papua New Guinea' => ['name' => 'پاپوآ گینه نو', 'flag' => '🇵🇬'],
        'Paraguay' => ['name' => 'پاراگوئه', 'flag' => '🇵🇾'],
        'Peru' => ['name' => 'پرو', 'flag' => '🇵🇪'],
        'Philippines' => ['name' => 'فیلیپین', 'flag' => '🇵🇭'],
        'Poland' => ['name' => 'لهستان', 'flag' => '🇵🇱'],
        'Portugal' => ['name' => 'پرتغال', 'flag' => '🇵🇹'],
        'Qatar' => ['name' => 'قطر', 'flag' => '🇶🇦'],
        'Romania' => ['name' => 'رومانی', 'flag' => '🇷🇴'],
        'Russia' => ['name' => 'روسیه', 'flag' => '🇷🇺'],
        'Rwanda' => ['name' => 'رواندا', 'flag' => '🇷🇼'],
        'Saint Kitts and Nevis' => ['name' => 'سنت کیتس و نویس', 'flag' => '🇰🇳'],
        'Saint Lucia' => ['name' => 'سنت لوسیا', 'flag' => '🇱🇨'],
        'Saint Vincent and the Grenadines' => ['name' => 'سنت وینسنت و گرنادین‌ها', 'flag' => '🇻🇨'],
        'Samoa' => ['name' => 'ساموآ', 'flag' => '🇼🇸'],
        'San Marino' => ['name' => 'سان مارینو', 'flag' => '🇸🇲'],
        'Sao Tome and Principe' => ['name' => 'سائوتومه و پرنسیپ', 'flag' => '🇸🇹'],
        'Saudi Arabia' => ['name' => 'عربستان سعودی', 'flag' => '🇸🇦'],
        'Senegal' => ['name' => 'سنگال', 'flag' => '🇸🇳'],
        'Serbia' => ['name' => 'صربستان', 'flag' => '🇷🇸'],
        'Seychelles' => ['name' => 'سیشل', 'flag' => '🇸🇨'],
        'Sierra Leone' => ['name' => 'سیرالئون', 'flag' => '🇸🇱'],
        'Singapore' => ['name' => 'سنگاپور', 'flag' => '🇸🇬'],
        'Slovakia' => ['name' => 'اسلواکی', 'flag' => '🇸🇰'],
        'Slovenia' => ['name' => 'اسلوونی', 'flag' => '🇸🇮'],
        'Solomon Islands' => ['name' => 'جزایر سلیمان', 'flag' => '🇸🇧'],
        'Somalia' => ['name' => 'سومالی', 'flag' => '🇸🇴'],
        'South Africa' => ['name' => 'آفریقای جنوبی', 'flag' => '🇿🇦'],
        'South Korea' => ['name' => 'کره جنوبی', 'flag' => '🇰🇷'],
        'South Sudan' => ['name' => 'سودان جنوبی', 'flag' => '🇸🇸'],
        'Spain' => ['name' => 'اسپانیا', 'flag' => '🇪🇸'],
        'Sri Lanka' => ['name' => 'سری‌لانکا', 'flag' => '🇱🇰'],
        'Sudan' => ['name' => 'سودان', 'flag' => '🇸🇩'],
        'Suriname' => ['name' => 'سورینام', 'flag' => '🇸🇷'],
        'Sweden' => ['name' => 'سوئد', 'flag' => '🇸🇪'],
        'Switzerland' => ['name' => 'سوئیس', 'flag' => '🇨🇭'],
        'Syria' => ['name' => 'سوریه', 'flag' => '🇸🇾'],
        'Taiwan' => ['name' => 'تایوان', 'flag' => '🇹🇼'],
        'Tajikistan' => ['name' => 'تاجیکستان', 'flag' => '🇹🇯'],
        'Tanzania' => ['name' => 'تانزانیا', 'flag' => '🇹🇿'],
        'Thailand' => ['name' => 'تایلند', 'flag' => '🇹🇭'],
        'Timor-Leste' => ['name' => 'تیمور شرقی', 'flag' => '🇹🇱'],
        'Togo' => ['name' => 'توگو', 'flag' => '🇹🇬'],
        'Tonga' => ['name' => 'تونگا', 'flag' => '🇹🇴'],
        'Trinidad and Tobago' => ['name' => 'ترینیداد و توباگو', 'flag' => '🇹🇹'],
        'Tunisia' => ['name' => 'تونس', 'flag' => '🇹🇳'],
        'Turkey' => ['name' => 'ترکیه', 'flag' => '🇹🇷'],
        'Turkmenistan' => ['name' => 'ترکمنستان', 'flag' => '🇹🇲'],
        'Tuvalu' => ['name' => 'تووالو', 'flag' => '🇹🇻'],
        'Uganda' => ['name' => 'اوگاندا', 'flag' => '🇺🇬'],
        'Ukraine' => ['name' => 'اوکراین', 'flag' => '🇺🇦'],
        'United Arab Emirates' => ['name' => 'امارات متحده عربی', 'flag' => '🇦🇪'],
        'United Kingdom' => ['name' => 'بریتانیا', 'flag' => '🇬🇧'],
        'United States' => ['name' => 'آمریکا', 'flag' => '🇺🇸'],
        'Uruguay' => ['name' => 'اروگوئه', 'flag' => '🇺🇾'],
        'Uzbekistan' => ['name' => 'ازبکستان', 'flag' => '🇺🇿'],
        'Vanuatu' => ['name' => 'وانواتو', 'flag' => '🇻🇺'],
        'Vatican City' => ['name' => 'واتیکان', 'flag' => '🇻🇦'],
        'Venezuela' => ['name' => 'ونزوئلا', 'flag' => '🇻🇪'],
        'Vietnam' => ['name' => 'ویتنام', 'flag' => '🇻🇳'],
        'Yemen' => ['name' => 'یمن', 'flag' => '🇾🇪'],
        'Zambia' => ['name' => 'زامبیا', 'flag' => '🇿🇲'],
        'Zimbabwe' => ['name' => 'زیمبابوه', 'flag' => '🇿🇼'],
        'Swaziland' => ['name' => 'اسواتینی', 'flag' => '🇸🇿'],
        'Czech Republic' => ['name' => 'جمهوری چک', 'flag' => '🇨🇿'],
        'Anguilla' => ['name' => 'آنگویلا', 'flag' => '🇦🇮'],
        'Montserrat' => ['name' => 'مانسرت', 'flag' => '🇲🇸'],
        'Guadeloupe' => ['name' => 'گوادلوپ', 'flag' => '🇲🇶'],
        'Aruba' => ['name' => 'آروبا', 'flag' => '🇦🇼']
    ];

    public static function translateCountryName($englishName)
    {
        return self::$countryNames[$englishName] ?? ['name' => $englishName, 'flag' => ''];
    }

    public static function get_USDT()
    {
        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, 'https://api.bitpin.ir/v1/mkt/currencies/');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

        $response = curl_exec($ch);
        if(curl_errno($ch))
        {
            echo 'Error: ' . curl_error($ch);
            curl_close($ch);
            return;
        }

        $currencies = json_decode($response, true);
        if ($currencies === null)
        {
            echo 'Error decoding JSON.';
            curl_close($ch);
            return;
        }

        $tetherPrice = 'USDT not found';

        if (isset($currencies['results']) && is_array($currencies['results']))
        {
            foreach($currencies['results'] as $currency)
            {
                if (isset($currency['code']) && $currency['code'] === "USDT" && isset($currency['price_info']['price'])) {
                    $tetherPrice = $currency['price_info']['price'];
                    break;
                }
            }
        }
        else
        {
            echo 'Results not found in JSON.';
        }
        
        curl_close($ch);

        return $tetherPrice;
    }
}